#include "Divide.h"

Divide::Divide(Expression *left, Expression *right)
    : BinaryOperator(left, right)
{
}


Divide::~Divide(void)
{
}

int Divide::interpret(std::map<std::string,Expression*> &variables)
{
    return m_leftOperand->interpret(variables) / m_rightOperand->interpret(variables);
}